﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Services.Authentication.DataTransfer;

namespace HeuristicLab.Services.Authentication.TestClient
{

    public enum RoleDetailMode
    {
        Insert,
        Update
    }

    public partial class RoleDetail : Form
    {

        private RoleDetailMode mode;
        private AuthenticationService service;
        private Role role;

        public RoleDetail(RoleDetailMode mode, AuthenticationService service,Role role)
        {
            InitializeComponent();
            
            this.mode = mode;
            this.service = service;

            if (role == null)
            {
                role = new Role();
            }

            this.role = role;
            this.bsRole.DataSource = role;
        }


        private void btnSave_Click(object sender, EventArgs e)
        {
            if (mode == RoleDetailMode.Insert)
            {
                if (this.service.InsertRole(role))
                {
                    this.Close();
                }
            }
            else if (mode == RoleDetailMode.Update)
            {
                if(this.service.UpdateRole(role)){
                    this.Close();
                }
            }
           
        }
    }
}
